        subroutine LOWCASE(string)
C
C----------------------------------------------------------------------
C
C.IDENTIFICATION: Subroutine LOWCASE
C.LIBRARY:        GENERAL
C.AUTHOR:         L.Chiappetti - IFCTR
C.VERSIONS:       0.0 - 15 Apr 93 - Original version
C.PURPOSE:        convert input string to lower case
C.METHOD:         use Fortran intrinsics
C.SYNTAX:         CALL LOWCASE(string)
C.PARAMETERS:     CHARCATER*(*) string
C.RESTRICTIONS:   none
C.NOTES:           adapted from reverse routine UPCASE  by L.Chiappetti, 15 Apr 93
C.FILES:          none
C.REFERENCES:     none
C----------------------------------------------------------------------      
C
        character*(*) string
        integer i,length

        length=len(string)
        do 10 i=1,length
                if   (string(i:i) .ge. 'A' 
     1          .and. string(i:i) .le. 'Z')then
                        string(i:i)=char(ichar(string(i:i))+32)
                end if
10      continue
        end
